# [−] List of all items

### Structs

- AbsDiff
- Basis2
- Basis3
- Decomposed
- Deg
- Euler
- Matrix2
- Matrix3
- Matrix4
- Ortho
- Perspective
- PerspectiveFov
- Point1
- Point2
- Point3
- Quaternion
- Rad
- Relative
- Ulps
- Vector1
- Vector2
- Vector3
- Vector4

### Traits

- AbsDiffEq
- Angle
- Array
- BaseFloat
- BaseNum
- Bounded
- ElementWise
- EuclideanSpace
- InnerSpace
- Matrix
- MetricSpace
- One
- RelativeEq
- Rotation
- Rotation2
- Rotation3
- SquareMatrix
- Transform
- Transform2
- Transform3
- UlpsEq
- VectorSpace
- Zero
- prelude::Angle
- prelude::Array
- prelude::Bounded
- prelude::ElementWise
- prelude::EuclideanSpace
- prelude::InnerSpace
- prelude::Matrix
- prelude::MetricSpace
- prelude::One
- prelude::Rotation
- prelude::Rotation2
- prelude::Rotation3
- prelude::SquareMatrix
- prelude::Transform
- prelude::Transform2
- prelude::Transform3
- prelude::VectorSpace
- prelude::Zero

### Macros

- abs_diff_eq
- abs_diff_ne
- assert_abs_diff_eq
- assert_abs_diff_ne
- assert_relative_eq
- assert_relative_ne
- assert_ulps_eq
- assert_ulps_ne
- relative_eq
- relative_ne
- ulps_eq
- ulps_ne

### Functions

- conv::array2
- conv::array2x2
- conv::array3
- conv::array3x3
- conv::array4
- conv::array4x4
- dot
- frustum
- ortho
- perspective
- vec1
- vec2
- vec3
- vec4

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)